Bug 1211845 - glusterd: response not aligned
Summary: glusterd: response not aligned
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd
Version: rhgs-3.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: RHGS 3.2.0
Assignee: Atin Mukherjee
QA Contact: SATHEESARAN
URL:
Whiteboard: glusterd
Depends On: 958079 1321762 1322667
Blocks: 1351522
TreeView+ depends on / blocked
 
Reported: 2015-04-15 05:36 UTC by SATHEESARAN
Modified: 2017-03-23 05:21 UTC (History)
9 users (show)

Fixed In Version: glusterfs-3.8.4-1
Doc Type: Bug Fix
Doc Text:
Clone Of: 958079
: 1321762 (view as bug list)
Environment:
Last Closed: 2017-03-23 05:21:53 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Comment 1 SATHEESARAN 2015-08-03 13:20:42 UTC
There won't be any 3.0.z, and hence marking this bug for RHGS 3.1.z

Comment 2 SATHEESARAN 2016-03-29 05:57:35 UTC
This issue is seen only with RHGS based on RHEL 6.

Comment 3 Atin Mukherjee 2016-03-29 06:01:29 UTC
An upstream patch http://review.gluster.org/13839 is posted for review.

Comment 5 Atin Mukherjee 2016-09-17 15:30:28 UTC
Upstream mainline : http://review.gluster.org/13839
Upstream 3.8 : Available as part of branching from mainline

And the fix is available in rhgs-3.2.0 as part of rebase to GlusterFS 3.8.4.

Comment 8 SATHEESARAN 2016-10-25 07:47:44 UTC
Tested with glusterfs-3.8.4-3.el6rhs

glusterd responses are aligned while starting and stopping glusterd

[root@ ~]# service glusterd stop
Stopping glusterd:                                         [  OK  ]

[root@ ~]# service glusterd start
Starting glusterd:                                         [  OK  ]

[root@ ~]# service glusterd restart
Stopping glusterd:                                         [  OK  ]
Starting glusterd:                                         [  OK  ]
[root@ ~]#

Comment 10 errata-xmlrpc 2017-03-23 05:21:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.